
#include <iostream>
#include <complex>
#include <vector>
#include <cmath>

using namespace std;

typedef complex<double> xy;

#define EPS (1E-8)
#define EQ(x,y) (fabs((x)-(y)) < EPS)

int main(void){
	while(true){
		int n;
		string s;
		cin >> n;
		if(!n) break;
		cin >> s;
		vector<vector<xy> > data('z'-'a'+1, vector<xy>());
		int idx = 0;
		for(int w=0;w<n; w++)
			for(int t=0;t<w+1;t++){
				data[s[idx]-'a'].push_back(xy(t*2-w,w*sqrt(3.0)));
				idx++;
			}
		string ans = "";
		for(int i=0;i<'z'-'a'+1; i++)
			if(data[i].size()==3)
				if(EQ(abs(data[i][0]-data[i][1]),abs(data[i][0]-data[i][2])) &&
					 EQ(abs(data[i][0]-data[i][1]),abs(data[i][1]-data[i][2])))
					ans += (char)(i+'a');
		if(ans == ""){
			cout << "LOOOOOOOOSER!" << endl;
		}else{
			cout << ans << endl;
		}
	}
	return 0;
}

